Anda di halaman 1dari 4

Document 1516189.

1 Página 1 de 4

JD Edwards EnterpriseOne 9.1.X Business Services Package Build Notes for All
Platforms (Doc ID 1516189.1)

In this Document

Purpose
Details
Certification Matrix for Building BSSV Packages
Additional Notes for Building EnterpriseOne Business Services Packages
Additional Notes for Building EnterpriseOne Business Services Packages - WebLogic (WLS)
Additional Notes for Building EnterpriseOne Business Services Packages - WebSphere
Requirements for Developing Business Services Objects

APPLIES TO:

JD Edwards EnterpriseOne Tools - Version 9.1 to 9.1 [Release 9.1]


Information in this document applies to any platform.

PURPOSE

This document is intended to be a supplemental document for the Oracle Certify system. For more detail on
the products and platforms supported by JD Edwards EnterpriseOne log on to My Oracle Support and click on
the "Certifications" tab.

The purpose of this document is to describe special installation notes for business services.

DETAILS

Certification Matrix for Building BSSV Packages

The matrix below shows the JDeveloper version which is supported for building BSSV Packages including JAX-
RPC, JAX-WS and Migration Packages. The JDeveloper version used depends on the Application Server
type/release and the Tools Release, as well as the type of Business Services Server packages to be
built/deployed to the BSSV Server.

https://support.oracle.com/epmos/faces/DocumentDisplay?_adf.ctrl-state=168qp755yn_2... 12/08/2016
Document 1516189.1 Página 2 de 4

Additional Notes for Building EnterpriseOne Business Services Packages

- JDev11.1.1.5 (Studio Edition). Packages built with JDev11g can only be deployed to a BSSV server running on
WebLogic Server (WLS) 11g

- JDev12.1.2 (32 bit Studio Edition) is certified as of TR 9.1.4.0. Packages built with JDev12c can only be
deployed to a BSSV server running on WLS 12c

- BSSV packages can be built on either an E1 development client machine or on the Deployment Server (see
respective Certification for more info)

- As of Tools Release 9.1.2.x, BSSV Supports the building and deploying of JAX-WS packages. Prior to Tools
Release 9.1.2.x, only JAX-RPC based business services packages
are supported.

- To build JAX-WS packages, you must apply the latest E1 Planner ESU.

- To deploy JAX-WS packages, the Server Manager(SM) Console and SM Agent must be at Tools Release 9.1.2.x
or later.

- The jde.ini on the E1 Client / Deployment server that is used to build BSSV Packages must be configured
correctly. This configuration will change depending on which
version of JDeveloper is used, whether the package being built is a 'migration' package, WebSphere JAX-RPC
package, or WebLogic package.

https://support.oracle.com/epmos/faces/DocumentDisplay?_adf.ctrl-state=168qp755yn_2... 12/08/2016
Document 1516189.1 Página 3 de 4

Additional Notes for Building EnterpriseOne Business Services Packages - WebLogic (WLS)

- For Migration Packages: only JDev10g with JDev11.1.1.5 can be used. The resulting BSSV Migration Package
can be deployed to both WLS 11g and WLS 12c. The JDK
provided as part of the JDev10g installation must be upgraded from JDK1.5 to JDK1.6

Additional Notes for Building EnterpriseOne Business Services Packages - WebSphere

- To build JAX-RPC packages, Oracle JDeveloper 10.1.3.5 and RAD (Rational Application Developer) must be
installed. The version of JDK provided as part of JDev10.1.3.5
must also be updated from JDK1.5 to JDK1.6. It is necessary to use RAD in combination with JDeveloper
10.1.3.5 to build Business Services Packages to be deployed
onto WAS BSSV targets.

- BSSV running on WAS7.0.x. RAD 7.5 32-bit is certified. The RAD Application & Deployment Feature version
should be 7.5.5 or higher and the WebSphere Test
Environments should be version 7.0.0.11.

- BSSV running on Was8.5.x. RAD 8.5 64-bit is certified. The RAD Application & Deployment Feature version
should be 8.5 and the WebSphere Test Environments should be
version 7.0.0.23(64 bit). While installing WebSphere Test Environments 7.0.0.23(64 bit) on top of RAD8.5,
create the default profile with the default name.

- To build JAX-WS packages, the same requirements apply as shown in the above ‘Requirements for Building
EnterpriseOne Business Services Packages -- Additional JDeveloper
Notes” (RAD is not required to build JAX-WS packages)

- JAX-WS BSSV Servers running on WebSphere7.0.x: Fix Pack 19 and IFIX for Fix Pack 19 (7.0.0.19-WS-WAS-
IFPM62535.pak) are required. Please work with Oracle Support
for downloading and installing the 7.0.0.19-WS-WAS-IFPM62535.pak IFIX for WAS 7 FP 19

- JAX-WS BSSV Servers running on WebSphere8.5: IFIX 8.5.0.0-WS-WASProd-IFPM62535 Version


8.5.0.20120907_1136 is required. Please work with Oracle Support for
downloading and installing the 7.0.0.19-WS-WAS-IFPM62535.pak IFIX for WAS 7 FP 19

- Please note that JAX-WS package build/deployment with JDeveloper 12.1.2 is supported on WAS 8.5 profile
hosted with JDK 1.7 only.

Requirements for Developing Business Services Objects

JDeveloper is the only IDE platform that is certified to develop Business Services. The above matrix also applies
to determine which version of JDeveloper is supported to develop Business Service objects. One exceptoin
exists: business service objects developed to be deployed to a WebLogic 12c can be developed using
JDeveloper 11g. However, JDeveloper 12c must be used to build the BSSV Package which will be deployed to
the WLS 12c BSSV server.

Note: the JDeveloper installer version that is certified for both building BSSV packages and for developing
Business Services objects is the Studio Edition version. Any other version of the installer is not supported.
Make sure you download the correct version of the installer (for the release of JDeveloper to be used).

Didn't find what you are looking for?

https://support.oracle.com/epmos/faces/DocumentDisplay?_adf.ctrl-state=168qp755yn_2... 12/08/2016
Document 1516189.1 Página 4 de 4

https://support.oracle.com/epmos/faces/DocumentDisplay?_adf.ctrl-state=168qp755yn_2... 12/08/2016